- Qt 5.15
- Qt GUI
- C++ Classes
- QSupportedWritingSystems
- Qt 5.15.19 Reference Documentation

# QSupportedWritingSystems Class

The QSupportedWritingSystems class is used when registering fonts with the internal Qt fontdatabase. More...

Header: | #include <QSupportedWritingSystems>
qmake: | QT += gui

- List of all members, including inherited members

## Public Functions

| QSupportedWritingSystems(const QSupportedWritingSystems &other)
| QSupportedWritingSystems()
QSupportedWritingSystems & | operator=(const QSupportedWritingSystems &other)
| ~QSupportedWritingSystems()
void | setSupported(QFontDatabase::WritingSystem writingSystem, bool support = true)
bool | supported(QFontDatabase::WritingSystem writingSystem) const

## Detailed Description

Its to provide an easy to use interface for indicating what writing systems a specific font supports.

## Member Function Documentation

### QSupportedWritingSystems::QSupportedWritingSystems(const QSupportedWritingSystems &other)

Constructs a copy of the other writing systems object.

### QSupportedWritingSystems::QSupportedWritingSystems()

Constructs a new object to handle supported writing systems.

### QSupportedWritingSystems &QSupportedWritingSystems::operator=(const QSupportedWritingSystems &other)

Constructs a copy of the other writing systems object.

### QSupportedWritingSystems::~QSupportedWritingSystems()

Destroys the supported writing systems object.

### void QSupportedWritingSystems::setSupported(QFontDatabase::WritingSystem writingSystem, bool support = true)

Sets or clears support for the specified writingSystem based on the value given by support.

See also supported().

### bool QSupportedWritingSystems::supported(QFontDatabase::WritingSystem writingSystem) const

Returns `true` if the writing system specified by writingSystem is supported; otherwise returns `false`.

See also setSupported().